### A free/open-source library for quantitative finance

Classes | Typedefs | Functions
ql/experimental/commodities/commodity.hpp File Reference

Commodity base class. More...

`#include <ql/instrument.hpp>`
`#include <ql/money.hpp>`
`#include <vector>`
`#include <ostream>`
Include dependency graph for commodity.hpp:

## Classes

class | Commodity
| Commodity base class. More...

## Typedefs

typedef std::map< std::string, boost::any > | SecondaryCosts
typedef std::map< std::string, Money > | SecondaryCostAmounts
typedef std::vector< PricingError > | PricingErrors

## Functions

std::ostream & | operator<< (std::ostream &out, const SecondaryCostAmounts &secondaryCostAmounts)
std::ostream & | operator<< (std::ostream &out, const PricingError &error)
std::ostream & | operator<< (std::ostream &out, const PricingErrors &errors)

## Detailed Description

Commodity base class.

commodity type